Skip to main content

object

Content

LLM
View as Markdown
Open llms.txt

Media reference and optional presentation details. Use `mediaId` for Flownally-hosted upload and inbound media. Use `GET /media/{mediaId}` to retrieve inbound media bytes through an authorized download URL.

Properties

  • Name
    mediaId
    Type
    string
    Description
    Flownally media handle returned by `POST /media/uploads` or attached to inbound media.
  • Name
    url
    Type
    string
    Description
    Externally hosted media URL. Prefer `mediaId` for Flownally-hosted media.
  • Name
    caption
    Type
    string
    Description
    Optional property.
  • Name
    filename
    Type
    string
    Description
    Optional property.
  • Name
    mimeType
    Type
    string
    Description
    Optional property.
  • Name
    fileSize
    Type
    integer
    Description
    Optional property.
  • Name
    sourceId
    Type
    string
    Description
    Compatibility media source handle on inbound messages. Prefer `mediaId`.
  • Name
    mediaType
    Type
    enum
    Description
    Optional property. Allowed values: image, document, video, audio.

Related operations